using Iceshrimp.Backend.Controllers.Mastodon.Schemas.Entities;
using J = System.Text.Json.Serialization.JsonPropertyNameAttribute;

namespace Iceshrimp.Backend.Controllers.Pleroma.Schemas;

public class ReportsQuery
{
	[J("total")]   public          int           Total   { get; set; }
	[J("reports")] public required List<Reports> Reports { get; set; }
}

public class Reports
{
	[J("account")]    public          AccountEntity?             Account   { get; set; }
	[J("actor")]      public          AccountEntity?             Actor     { get; set; }
	[J("id")]         public required string                     Id        { get; set; }
	[J("created_at")] public          DateTime?                  CreatedAt { get; set; }
	[J("state")]      public required string                     State     { get; set; }
	[J("content")]    public          string?                    Content   { get; set; }
	[J("statuses")]   public          IEnumerable<StatusEntity>? Statuses  { get; set; }
	[J("notes")]      public          string[]?                  Notes     { get; set; }
}